Subject: bug#31317: 26.1; Add a tramp-make-tramp-temp-file* variant which returns the full tramp filename?

From: Michael Albinus <[email-masked]>
Date: Mon, 30 Apr 2018 15:20:56 +0200

Phil Sainty <[email-masked]> writes:

Hi Phil,

> I have a tramp use-case where I want to create a temporary file
> on the remote host and then populate that file via elisp -- I am
> using (with-temp-file tramp-file-name (insert contents)) -- and
> `tramp-make-tramp-temp-file' doesn't seem to facilitate this
> nicely due to it returning only the local part of the generated
> filename, which means I need to *recreate* the full tramp path
> for that file before I can edit the file.

What about `make-nearby-temp-file'?

Best regards, Michael.